# Get consents Endpoint: GET /consents Version: 1.0.0 Security: Api access ## Query parameters: - `cursor` (string) A reference to a specific page. ## Header parameters: - `api-version` (string) ## Response 200 fields (application/json): - `consents` (array) The consents - `consents.consentId` (string) The consent id Example: "1E5EFC3B-635E-4973-A605-41D7F0D6D7B3" - `consents.resourceId` (string) Fully qualified resource id of the consent Example: "/subscriptions/992606c793984bcf81e543d90ecfbb36/resource-groups/999999999/providers/aritma.banking/consents/0cb6e03a-c1d6-4d32-b438-0c2ad1e4079b" - `consents.status` (string) Status of the consent Enum: "unknown", "created", "started", "authorized", "expired", "revoked", "failure", "awaitingApproval" - `consents.additionalData` (object) Information about the consent that has been obtained - `consents.additionalData.bankId` (null,string) Id of the bank the consent applies to - `consents.additionalData.expiresAtUtc` (string) Date the consent expires - `consents.additionalData.consentData` (null,object) The consent-data, not generally available. - `_links` (object) Pagination links for navigating between pages of results. - `_links.next` (object) - `_links.next.href` (string) Url to a resource Example: "https://banking.aritma.io/api/resource?cursor=abc123" - `_links.next.verb` (string) Enum: "get", "post", "put", "delete" - `_links.previous` (object) ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)